package com.atlassian.stash.internal.maintenance;

public abstract class AbstractMaintenanceTask implements MaintenanceTask {

    private volatile boolean canceled;

    @Override
    public void cancel() {
        canceled = true;
    }

    public boolean isCanceled() {
        return canceled;
    }
}
